Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
BedrockMission!

Learn More

View all

Sign in to view all badges

lebom50735824
Community profile lebom50735824 Level 2
Job title here
Location here
0 BADGES
Level 2

Level 2

Learn more
Joined the community 08-08-2016 2:36:37 AM
Offline
Top badges earned by lebom50735824
Customize the badges you want to showcase on your profile
Re: 6.2 unresolved bundles
Avatar
Level 2
lebom50735824
Level 2

Likes

0 likes

Total Posts

17 posts

Correct Reply

0 solutions
View profile
lebom50735824
- Adobe Experience Manager
Hi,I managed to get the code to build with main com.adobe.aem uber-jar 6.2.0-SP1 nonobfuscated-apis provided core com.adobe.aem uber-jar 6.2.0-SP1 apis provided uino 6.2 dependencyAfter that I installed our main bundle successfully. Then I installed our main package but after installing the package, the file structure that starts with / doesn't appear. Only the / appears. In our production application this structure is something like :/ apps bin content etcIn the log file I see the exception "24.02.2017 10:35:06....

Views

353

Likes

0

Replies

0
Re: 6.2 unresolved bundles
Avatar
Level 2
lebom50735824
Level 2

Likes

0 likes

Total Posts

17 posts

Correct Reply

0 solutions
View profile
lebom50735824
- Adobe Experience Manager
In our current 6.1 version, there is a bundle with the following details:Day Communique 5 Commons Library com.day.cq.cq-commonsSymbolic Name com.day.cq.cq-commonsVersion 5.7.18Bundle Location fileinstallpatch:/cq-commons-5.7.14.jarLast Modification Thu May 21 20:35:39 SAST 2015Bundle Documentation http://www.adobe.com/Vendor Adobe Systems IncorporatedDescription Bundle implementing the common functionality for the Communique 5 platformStart Level 20Exported Packages com.day.cq.commons,version=5....

Views

2.9K

Likes

0

Replies

5
Re: 6.2 unresolved bundles
Avatar
Level 2
lebom50735824
Level 2

Likes

0 likes

Total Posts

17 posts

Correct Reply

0 solutions
View profile
lebom50735824
- Adobe Experience Manager
I have this in my POM files:Parent com.adobe.aem uber-jar 6.2.0 obfuscated-apis providedCore com.adobe.aem uber-jar obfuscated-apis UI com.adobe.aem uber-jar obfuscated-apis

Views

2.9K

Likes

0

Replies

0
Re: 6.2 unresolved bundles
Avatar
Level 2
lebom50735824
Level 2

Likes

0 likes

Total Posts

17 posts

Correct Reply

0 solutions
View profile
lebom50735824
- Adobe Experience Manager
The error I now get is : "Failed to execute goal org.apache.felix:maven-scr-plugin:1.17.0:scr (generate-scr-scrdescriptor) on project suninternational-main.core: Execution generate-scr-scrdescriptor of goal org.apache.felix:maven-scr-plugin:1.17.0:scr failed: An API incompatibility was encountered while executing org.apache.felix:maven-scr-plugin:1.17.0:scr: java.lang.VerifyError: Constructor must call super() or this() before return".I have this in my POM files:Parent com.adobe.aem uber-jar 6.2...

Views

2.9K

Likes

0

Replies

0
6.2 unresolved bundles
Avatar
Level 2
lebom50735824
Level 2

Likes

0 likes

Total Posts

17 posts

Correct Reply

0 solutions
View profile
lebom50735824
- Adobe Experience Manager
Hi,I've just installed AEM 6.2 in our environment and installed an AEM 6.1 package on it. I using the Uber APIs but the following can't resolve :com.day.cq.commons,version=[6.0,7) -- Cannot be resolvedcom.day.cq.commons.date,version=[5.7,6) -- Cannot be resolvedcom.day.cq.commons.inherit,version=[5.7,6) -- Cannot be resolvedcom.day.cq.commons.jcr,version=[6.0,7) -- Cannot be resolvedcom.day.cq.commons.mail,version=[5.7,6) -- Cannot be resolvedAny idea on how to resolve these?lebom

Views

3.5K

Likes

0

Replies

11
Re: Can't download AEM 6.2 service pack
Avatar
Level 2
lebom50735824
Level 2

Likes

0 likes

Total Posts

17 posts

Correct Reply

0 solutions
View profile
lebom50735824
- Adobe Experience Manager
How or where do I get the non cloud service pack because I don't install in the cloud?

Views

270

Likes

0

Replies

0
Re: Can't download AEM 6.2 service pack
Avatar
Level 2
lebom50735824
Level 2

Likes

0 likes

Total Posts

17 posts

Correct Reply

0 solutions
View profile
lebom50735824
- Adobe Experience Manager
Thanks for your answers. It's working now.

Views

275

Likes

0

Replies

0
Can't download AEM 6.2 service pack
Avatar
Level 2
lebom50735824
Level 2

Likes

0 likes

Total Posts

17 posts

Correct Reply

0 solutions
View profile
lebom50735824
- Adobe Experience Manager
Hi,I am trying to download the service pack for AEM 6.2 but the link (https://www.adobeaemcloud.com/content/marketplace/marketplaceProxy.html?packagePath=/content/companies/public/adobe/packages/cq620/servicepack/AEM-6.2-Service-Pack-1) to it doesn't work. Where can I download the service pack/s for AEM 6.2? RegardsLebo

Views

726

Likes

0

Replies

7
Re: Problem when running an AEM 6.0 application on AEM 6.2
Avatar
Level 2
lebom50735824
Level 2

Likes

0 likes

Total Posts

17 posts

Correct Reply

0 solutions
View profile
lebom50735824
- Adobe Experience Manager
To get my code to build, I replaced the following dependencies com.adobe.aem aem-api and com.adobe.aem aem-api 6.0.0.1 provided with com.adobe.aem uber-jar 6.2.0 nonobfuscated-apis provided

Views

1.7K

Likes

0

Replies

4
Re: Problem running 6.2 upgrade in RedHat Linux
Avatar
Level 2
lebom50735824
Level 2

Likes

0 likes

Total Posts

17 posts

Correct Reply

0 solutions
View profile
lebom50735824
- Adobe Experience Manager
If I remove the Java agent, I still get the same error (Loading quickstart properties: defaultLoading quickstart properties: instanceorg.apache.commons.cli2.OptionException: Unexpected start while processing Use these options on the Quickstart command line. at org.apache.commons.cli2.commandline.Parser.parse(Parser.java:99) at com.adobe.granite.quickstart.base.impl.Main.(Main.java:582) at com.adobe.granite.quickstart.base.impl.Main.main(Main.java:940)Quickstart: aborting). What is strange though...

Views

5.7K

Likes

0

Replies

0
Re: Problem running 6.2 upgrade in RedHat Linux
Avatar
Level 2
lebom50735824
Level 2

Likes

0 likes

Total Posts

17 posts

Correct Reply

0 solutions
View profile
lebom50735824
- Adobe Experience Manager
The command I run to start the service doesn't have the character problem as you see below.Below is how our service is set up:The command to start the service:sudo /etc/init.d/aem6 startThe contents of the start script in /etc/init.d are:#!/bin/bash. /etc/rc.d/init.d/functionsSCRIPT_NAME=`basename $0`AEM_ROOT=/opt/aem/authorAEM_USER=aem########BIN=${AEM_ROOT}/crx-quickstart/binSTART=${BIN}/startSTOP=${BIN}/stopSTATUS="${BIN}/status"case "$1" instart)echo -n "Starting AEM services: "su - ${AEM_US...

Views

5.7K

Likes

0

Replies

2
Problem running 6.2 upgrade in RedHat Linux
Avatar
Level 2
lebom50735824
Level 2

Likes

0 likes

Total Posts

17 posts

Correct Reply

0 solutions
View profile
lebom50735824
- Adobe Experience Manager
I am getting the problem below when running a RedHat AEM service :Loading quickstart properties: defaultLoading quickstart properties: instanceorg.apache.commons.cli2.OptionException: Unexpected start while processing Use these options on the Quickstart command line. at org.apache.commons.cli2.commandline.Parser.parse(Parser.java:99) at com.adobe.granite.quickstart.base.impl.Main.(Main.java:582) at com.adobe.granite.quickstart.base.impl.Main.main(Main.java:940)Quickstart: abortingWhen I run "jav...

Views

6.6K

Likes

0

Replies

8
Re: Problem when running an AEM 6.0 application on AEM 6.2
Avatar
Level 2
lebom50735824
Level 2

Likes

0 likes

Total Posts

17 posts

Correct Reply

0 solutions
View profile
lebom50735824
- Adobe Experience Manager
I looked at my local repo.Lebo

Views

1.7K

Likes

0

Replies

0
Re: Problem when running an AEM 6.0 application on AEM 6.2
Avatar
Level 2
lebom50735824
Level 2

Likes

0 likes

Total Posts

17 posts

Correct Reply

0 solutions
View profile
lebom50735824
- Adobe Experience Manager
I included this dependency in my pom file but after successfully building the application, the uber jar file is not downloaded.

Views

1.7K

Likes

0

Replies

9
Problem when running an AEM 6.0 application on AEM 6.2
Avatar
Level 2
lebom50735824
Level 2

Likes

0 likes

Total Posts

17 posts

Correct Reply

0 solutions
View profile
lebom50735824
- Adobe Experience Manager
I installed AEM 6.2 in my laptop in Windows and then I downloaded packages from our 6.0 application and installed them. When I look at the application's bundle, I see that some packages can't be resolved. The description from the console is : com.adobe.xmp,version=[0.0,1) -- Cannot be resolvedcom.day.cq.commons,version=[5.7,6) -- Cannot be resolvedcom.day.cq.commons.jcr,version=[5.7,6) -- Cannot be resolvedcom.itextpdf.text -- Cannot be resolvedcom.itextpdf.text.pdf -- Cannot be resolvedcom.itex...

Views

4.0K

Likes

0

Replies

13
Re: Bundle can't see class within its packages
Avatar
Level 2
lebom50735824
Level 2

Likes

0 likes

Total Posts

17 posts

Correct Reply

0 solutions
View profile
lebom50735824
- Adobe Experience Manager
The one question I would appreciate if it can be answered is why the OSGI container cannot resolve the web services packages when activating the bundle.When I build the code in Eclipse, the code compiles without a problem. Both the OSGI service and the web services code are in the same bundle. When I activate the bundle, the container doesn't seem to see the package "com.microsoft.schemas._2003._10.serialization above" as part of the service. Why is that the case?

Views

1.3K

Likes

0

Replies

1
Bundle can't see class within its packages
Avatar
Level 2
lebom50735824
Level 2

Likes

0 likes

Total Posts

17 posts

Correct Reply

0 solutions
View profile
lebom50735824
- Adobe Experience Manager
I get the following error when I active a bundle in AEM 6.1 :03.05.2016 11:03:50.434 *ERROR* [qtp2128475881-158] org.apache.felix.http.jetty %bundles.pluginTitle: Cannot start (org.osgi.framework.BundleException: Unresolved constraint in bundle [bundle name] [477]: Unable to resolve 477.0: missing requirement [477.0] osgi.wiring.package; (osgi.wiring.package=com.microsoft.schemas._2003._10.serialization))org.osgi.framework.BundleException: Unresolved constraint in [bundle name] [477]: Unable to ...

Views

1.3K

Likes

0

Replies

3